/*
 * I2C gCu[  Version 1.00
 * File:        i2c_eep.c
 * Target:      PIC18F14K50 48Mhz
 * RpC:   Microchip MPLAB XC8 C Compiler V1.20
 * :     PICKit 3
 * [X:     2013/09/29 15:00
 *
*/

#include <p18f14k50.h>
#include <plib\delays.h>
#include <plib\i2c.h>
#include "i2c_ex.h"

// I2CX[u1byteM
// RWyуG[ɊmɃR}hIł悤STOPRfBVo͂ǉ

signed char i2c_write(unsigned char d){
    signed char ret;
    ret=WriteI2C(d);
    if(ret){
        SSPCON1bits.WCOL=0;
        StopI2C();
        while(SSPCON2bits.PEN);
        return ret; // -1:WCOL -2:NACK
    }
    IdleI2C();
    return 0;
}
